# Uses of Interface
java.lang.classfile.constantpool.MemberRefEntry

Packages that use MemberRefEntry
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.constantpool
Provides interfaces describing constant pool entries for the `java.lang.classfile` library.
java.lang.classfile.instruction
Provides interfaces describing code instructions for the `java.lang.classfile` library.

## Uses of MemberRefEntry in java.lang.classfile

Methods in java.lang.classfile with parameters of type MemberRefEntry
Modifier and Type
Method
Description
`default CodeBuilder`
CodeBuilder.`invoke(Opcode opcode, MemberRefEntry ref)`
Generates an instruction to invoke a method.

## Uses of MemberRefEntry in java.lang.classfile.constantpool

Subinterfaces of MemberRefEntry in java.lang.classfile.constantpool
Modifier and Type
Interface
Description
`interface`
`FieldRefEntry`
Models a `CONSTANT_Fieldref_info` structure, or a symbolic reference to a field, in the constant pool of a `class` file.
`interface`
`InterfaceMethodRefEntry`
Models a `CONSTANT_InterfaceMethodRef_info` structure, or a symbolic reference to an interface method, in the constant pool of a `class` file.
`interface`
`MethodRefEntry`
Models a `CONSTANT_MethodRef_info` structure, or a symbolic reference to a class method, in the constant pool of a `class` file.
Methods in java.lang.classfile.constantpool that return MemberRefEntry
Modifier and Type
Method
Description
`MemberRefEntry`
MethodHandleEntry.`reference()`
Returns the constant pool entry describing the field or method, according to the reference kind.
Methods in java.lang.classfile.constantpool with parameters of type MemberRefEntry
Modifier and Type
Method
Description
`MethodHandleEntry`
ConstantPoolBuilder.`methodHandleEntry(int refKind, MemberRefEntry reference)`
Returns a `MethodHandleEntry` encoding a reference kind and referring to a `MemberRefEntry`.

## Uses of MemberRefEntry in java.lang.classfile.instruction

Methods in java.lang.classfile.instruction that return MemberRefEntry
Modifier and Type
Method
Description
`MemberRefEntry`
InvokeInstruction.`method()`
Returns the `MethodRefEntry` or `InterfaceMethodRefEntry` constant described by this instruction.
Methods in java.lang.classfile.instruction with parameters of type MemberRefEntry
Modifier and Type
Method
Description
`static InvokeInstruction`
InvokeInstruction.`of(Opcode op, MemberRefEntry method)`
Returns an invocation instruction.